aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Mk/Uses/bdb.mk249
-rw-r--r--Mk/bsd.database.mk246
-rw-r--r--Mk/bsd.port.mk7
-rw-r--r--Mk/bsd.sanity.mk3
-rw-r--r--devel/ice/Makefile3
-rw-r--r--lang/php55/Makefile.ext4
-rw-r--r--lang/php56/Makefile.ext4
-rw-r--r--lang/php70/Makefile.ext4
-rw-r--r--mail/dk-milter/Makefile31
-rw-r--r--net-p2p/digitalcoin/Makefile3
-rw-r--r--net-p2p/dogecoin/Makefile3
-rw-r--r--net-p2p/namecoin/Makefile3
-rw-r--r--net-p2p/twister/Makefile3
13 files changed, 287 insertions, 276 deletions
diff --git a/Mk/Uses/bdb.mk b/Mk/Uses/bdb.mk
new file mode 100644
index 000000000000..69c4e1f1ee8e
--- /dev/null
+++ b/Mk/Uses/bdb.mk
@@ -0,0 +1,249 @@
+# $FreeBSD$
+#
+# Provide support for Berkeley DB
+# Feature: bdb
+# Usage: USES= bdb[:version]
+#
+# If no version is given (by the maintainer via the port or
+# by the user via defined variable), try to find the
+# currently installed version. Fall back to default if
+# necessary (db5 if compatible).
+# This adds a "debug-bdb" make target which will dump the
+# related data.
+# INVALID_BDB_VER
+# - This variable can be defined when the port does not
+# support one or more versions of Berkeley DB.
+# WITH_BDB_VER
+# - User defined global variable to set Berkeley DB version.
+# <BDB_UNIQUENAME>_WITH_BDB_VER
+# - User defined port specific variable to set Berkeley DB
+# version.
+# WITH_BDB_HIGHEST
+# - Use the highest installed version of Berkeley DB.
+# WITH_BDB6_PERMITTED
+# - If defined, BerkeleyDB 6 is added to the
+# default version set, making it eligible even
+# if not already installed. This is due to its
+# stricter Affero GNU Public License.
+#
+# These variables will then be filled in by this .mk file:
+#
+# BDB_LIB_NAME
+# - This variable is automatically set to the name of the
+# Berkeley DB library (default: db41).
+# BDB_LIB_CXX_NAME
+# - This variable is automatically set to the name of the
+# Berkeley DB C++ library (default: db41_cxx).
+# BDB_INCLUDE_DIR
+# - This variable is automatically set to the location of
+# the Berkeley DB include directory (default:
+# ${LOCALBASE}/include/db41).
+# BDB_LIB_DIR
+# - This variable is automatically set to the location of
+# the Berkeley DB library directory.
+# BDB_VER
+# - Detected Berkeley DB version.
+#
+# MAINTAINER: ports@FreeBSD.org
+
+.if !defined(_INCLUDE_USES_BDB_MK)
+_INCLUDE_USES_BDB_MK= yes
+
+.if !empty(bdb_ARGS)
+_bdb_ARGS:= ${bdb_ARGS}
+.endif
+_bdb_ARGS?= yes
+
+# TODO: avoid malformed conditional with invalid _bdb_ARGS/WITH_BDB_VER
+# check if + works properly from test builds 01h12m23s
+
+BDB_UNIQUENAME?= ${PKGNAMEPREFIX}${PORTNAME}
+
+_WITH_BDB_VER_save:=${WITH_BDB_VER}
+
+_DB_PORTS= 48 5 6
+_DB_DEFAULTS= 48 5 # does not include 6 due to different licensing
+# but user can re-add it through WITH_BDB6_PERMITTED
+. if defined(WITH_BDB6_PERMITTED)
+_DB_DEFAULTS+= 6
+. endif
+
+# Dependency lines for different db versions
+db48_DEPENDS= libdb-4.8.so:databases/db48
+db5_DEPENDS= libdb-5.3.so:databases/db5
+db6_DEPENDS= libdb-6.1.so:databases/db6
+# Detect db versions by finding some files
+db48_FIND= ${LOCALBASE}/include/db48/db.h
+db5_FIND= ${LOCALBASE}/include/db5/db.h
+db6_FIND= ${LOCALBASE}/include/db6/db.h
+
+# Override the global WITH_BDB_VER with the
+# port specific <BDB_UNIQUENAME>_WITH_BDB_VER
+.if defined(${BDB_UNIQUENAME:tu:S,-,_,}_WITH_BDB_VER)
+WITH_BDB_VER= ${${BDB_UNIQUENAME:tu:S,-,_,}_WITH_BDB_VER}
+.endif
+
+# Override _bdb_ARGS with global WITH_BDB_VER if the maintainer did not
+# ask for a more specific version.
+.if defined(WITH_BDB_VER)
+. if ${WITH_BDB_VER} != 1 && ${_bdb_ARGS} == yes
+_bdb_ARGS= ${WITH_BDB_VER}
+. endif
+.endif
+
+# Compatiblity hack:
+# upgrade older plussed versions to 48+
+_BDB_OLDPLUSVERS=4+ 40+ 41+ 42+ 43+ 44+ 45+ 46+ 47+
+.for i in ${_bdb_ARGS}
+. if ${_BDB_OLDPLUSVERS:M${i}}
+_bdb_ARGS:= 48+
+. endif
+.endfor
+
+.if ${_bdb_ARGS} == yes
+_bdb_ARGS:= 48+
+.endif
+
+# 1. detect installed versions
+_INST_BDB_VER=
+.for bdb in ${_DB_PORTS}
+. if exists(${db${bdb}_FIND})
+_INST_BDB_VER+=${bdb}
+. endif
+.endfor
+
+# 2. parse supported versions:
+# 2a. build list from _bdb_ARGS
+_SUPP_BDB_VER=
+__bdb_ARGS:=${_bdb_ARGS:C,\+$,,:C/(.)(.)$/\1.\2/}
+.if !empty(_bdb_ARGS:M*+)
+. for bdb in ${_DB_PORTS:C/(.)(.)$/\1.\2/}
+. if ${__bdb_ARGS} <= ${bdb}
+_SUPP_BDB_VER+=${bdb:C/\.//}
+. endif
+. endfor
+.else
+_SUPP_BDB_VER=${_bdb_ARGS}
+.endif
+# 2b. expand INVALID_BDB_VER if given with "+":
+.if !empty(INVALID_BDB_VER:M*+)
+_INV_BDB:=${INVALID_BDB_VER:C,\+$,,:C/(.)(.)$/\1.\2/}
+_INV_BDB_VER:=
+. for bdb in ${_DB_PORTS:C/(.)(.)$/\1.\2/}
+. if ${_INV_BDB} <= ${bdb}
+_INV_BDB_VER+=${bdb:C/\.//}
+. endif
+. endfor
+.else
+_INV_BDB_VER:=${INVALID_BDB_VER}
+.endif
+# 2c. strip versions from INVALID_BDB_VER out of _SUPP_BDB_VER
+.for unsupp in ${_INV_BDB_VER}
+_SUPP_BDB_VER:=${_SUPP_BDB_VER:N${unsupp}}
+.endfor
+
+# 3a. calculate intersection in _INST_BDB_VER to see if there
+# is a usable installed version
+.for i in ${_INST_BDB_VER}
+. if empty(_SUPP_BDB_VER:M${i})
+_INST_BDB_VER:= ${_INST_BDB_VER:N${i}}
+. endif
+.endfor
+_ELIGIBLE_BDB_VER:=${_INST_BDB_VER}
+
+# 3b. if there is no usable version installed, check defaults
+.if empty(_INST_BDB_VER)
+_DFLT_BDB_VER:=${_DB_DEFAULTS}
+# make sure we use a reasonable version for package builds
+_WITH_BDB_HIGHEST=yes
+. for i in ${_DFLT_BDB_VER}
+. if empty(_SUPP_BDB_VER:M${i})
+_DFLT_BDB_VER:= ${_DFLT_BDB_VER:N${i}}
+. endif
+. endfor
+_ELIGIBLE_BDB_VER:=${_DFLT_BDB_VER}
+.endif
+
+# 4. elect a version
+_BDB_VER=
+.for i in ${_ELIGIBLE_BDB_VER}
+. if !empty(WITH_BDB_HIGHEST) || !empty(_WITH_BDB_HIGHEST) || empty(${_BDB_VER})
+_BDB_VER:=${i}
+. endif
+.endfor
+
+# 5. catch errors or set variables
+.if empty(_BDB_VER)
+IGNORE= cannot install: no eligible BerkeleyDB version. Requested: ${_bdb_ARGS}, incompatible: ${_INV_BDB_VER}. Try: make debug-bdb
+.else
+. if defined(BDB_BUILD_DEPENDS)
+BUILD_DEPENDS+= ${db${_BDB_VER}_FIND}:${db${_BDB_VER}_DEPENDS:C/^libdb.*://}
+. else
+LIB_DEPENDS+= ${db${_BDB_VER}_DEPENDS}
+. endif
+. if ${_BDB_VER} == 48
+BDB_LIB_NAME= db-4.8
+BDB_LIB_CXX_NAME= db_cxx-4.8
+BDB_LIB_DIR= ${LOCALBASE}/lib/db48
+. elif ${_BDB_VER} == 5
+BDB_LIB_NAME= db-5.3
+BDB_LIB_CXX_NAME= db_cxx-5.3
+BDB_LIB_DIR= ${LOCALBASE}/lib/db5
+. elif ${_BDB_VER} == 6
+BDB_LIB_NAME= db-6.1
+BDB_LIB_CXX_NAME= db_cxx-6.1
+BDB_LIB_DIR= ${LOCALBASE}/lib/db6
+. endif
+BDB_LIB_NAME?= db${_BDB_VER}
+BDB_LIB_CXX_NAME?= db${_BDB_VER}_cxx
+BDB_INCLUDE_DIR?= ${LOCALBASE}/include/db${_BDB_VER}
+BDB_LIB_DIR?= ${LOCALBASE}/lib
+.endif
+BDB_VER= ${_BDB_VER}
+
+debug-bdb:
+ @${ECHO_CMD} "--INPUTS----------------------------------------------------"
+ @${ECHO_CMD} "${BDB_UNIQUENAME:tu:S,-,_,}_WITH_BDB_VER: ${${BDB_UNIQUENAME:tu:S,-,_,}_WITH_BDB_VER}"
+ @${ECHO_CMD} "WITH_BDB_VER: ${_WITH_BDB_VER_save}"
+ @${ECHO_CMD} "BDB_BUILD_DEPENDS: ${BDB_BUILD_DEPENDS}"
+ @${ECHO_CMD} "bdb_ARGS (original): ${bdb_ARGS}"
+ @${ECHO_CMD} "WITH_BDB_HIGHEST (original): ${WITH_BDB_HIGHEST}"
+ @${ECHO_CMD} "--PROCESSING------------------------------------------------"
+ @${ECHO_CMD} "supported versions: ${_SUPP_BDB_VER}"
+ @${ECHO_CMD} "invalid versions: ${_INV_BDB_VER}"
+ @${ECHO_CMD} "installed versions: ${_INST_BDB_VER}"
+ @${ECHO_CMD} "eligible versions: ${_ELIGIBLE_BDB_VER}"
+ @${ECHO_CMD} "bdb_ARGS (effective): ${_bdb_ARGS}"
+ @${ECHO_CMD} "WITH_BDB_HIGHEST (override): ${_WITH_BDB_HIGHEST}"
+ @${ECHO_CMD} "--OUTPUTS---------------------------------------------------"
+ @${ECHO_CMD} "IGNORE=${IGNORE}"
+ @${ECHO_CMD} "BDB_VER=${BDB_VER}"
+ @${ECHO_CMD} "BDB_INCLUDE_DIR=${BDB_INCLUDE_DIR}"
+ @${ECHO_CMD} "BDB_LIB_NAME=${BDB_LIB_NAME}"
+ @${ECHO_CMD} "BDB_LIB_CXX_NAME=${BDB_LIB_CXX_NAME}"
+ @${ECHO_CMD} "BDB_LIB_DIR=${BDB_LIB_DIR}"
+ @${ECHO_CMD} "BUILD_DEPENDS=${BUILD_DEPENDS:M*/databases/db*}"
+ @${ECHO_CMD} "LIB_DEPENDS=${LIB_DEPENDS:M*/databases/db*}"
+ @${ECHO_CMD} "------------------------------------------------------------"
+
+# Obsolete variables - ports can define these to want users about
+# variables that may be in /etc/make.conf but that are no longer
+# effective:
+.if defined(OBSOLETE_BDB_VAR)
+. for var in ${OBSOLETE_BDB_VAR}
+. if defined(${var})
+BAD_VAR+= ${var},
+. endif
+. endfor
+. if defined(BAD_VAR)
+_IGNORE_MSG= Obsolete variable(s) ${BAD_VAR} use WITH_BDB_VER or ${BDB_UNIQUENAME:tu:S,-,_,}_WITH_BDB_VER to select Berkeley DB version
+. if defined(IGNORE)
+IGNORE+= ${_IGNORE_MSG}
+. else
+IGNORE= ${_IGNORE_MSG}
+. endif
+. endif
+.endif
+
+
+.endif
diff --git a/Mk/bsd.database.mk b/Mk/bsd.database.mk
index 6b258c9c28a9..6ef5d9466c8a 100644
--- a/Mk/bsd.database.mk
+++ b/Mk/bsd.database.mk
@@ -7,7 +7,7 @@ Database_Post_Include= bsd.database.mk
Database_Include_MAINTAINER= ports@FreeBSD.org
# This file contains some routines to interact with different databases, such
-# as MySQL and Berkley DB. To include this file, define macro
+# as MySQL. To include this file, define macro
# USE_[DATABASE], for example USE_MYSQL. Defining macro like
# USE_[DATABASE]_VER or WANT_[DATABASE]_VER will include this file as well.
#
@@ -31,50 +31,6 @@ Database_Include_MAINTAINER= ports@FreeBSD.org
# - User defined variable to set MySQL version.
# MYSQL_VER
# - Detected MySQL version.
-##
-# USE_BDB - Add Berkeley DB library dependency.
-# If no version is given (by the maintainer via the port or
-# by the user via defined variable), try to find the
-# currently installed version. Fall back to default if
-# necessary (db5 if compatible).
-# This adds a "debug-bdb" make target which will dump the
-# related data.
-# INVALID_BDB_VER
-# - This variable can be defined when the port does not
-# support one or more versions of Berkeley DB.
-# WANT_BDB_VER
-# - Maintainer can set a version of Berkeley DB to always
-# build this port with (overrides WITH_BDB_VER).
-# WITH_BDB_VER
-# - User defined global variable to set Berkeley DB version.
-# <BDB_UNIQUENAME>_WITH_BDB_VER
-# - User defined port specific variable to set Berkeley DB
-# version.
-# WITH_BDB_HIGHEST
-# - Use the highest installed version of Berkeley DB.
-# WITH_BDB6_PERMITTED
-# - If defined, BerkeleyDB 6 is added to the
-# default version set, making it eligible even
-# if not already installed. This is due to its
-# stricter Affero GNU Public License.
-#
-# These variables will then be filled in by this .mk file:
-#
-# BDB_LIB_NAME
-# - This variable is automatically set to the name of the
-# Berkeley DB library (default: db41).
-# BDB_LIB_CXX_NAME
-# - This variable is automatically set to the name of the
-# Berkeley DB C++ library (default: db41_cxx).
-# BDB_INCLUDE_DIR
-# - This variable is automatically set to the location of
-# the Berkeley DB include directory (default:
-# ${LOCALBASE}/include/db41).
-# BDB_LIB_DIR
-# - This variable is automatically set to the location of
-# the Berkeley DB library directory.
-# BDB_VER
-# - Detected Berkeley DB version.
.include "${PORTSDIR}/Mk/bsd.default-versions.mk"
@@ -166,204 +122,4 @@ IGNORE= cannot install: unknown MySQL version: ${MYSQL_VER}
.endif # Check for correct libs
.endif # USE_MYSQL
-.if defined(USE_BDB)
-# TODO: avoid malformed conditional with invalid USE_BDB/WITH_BDB_VER
-# check if + works properly from test builds 01h12m23s
-
-BDB_UNIQUENAME?= ${PKGNAMEPREFIX}${PORTNAME}
-
-_USE_BDB_save:=${USE_BDB}
-_WITH_BDB_VER_save:=${WITH_BDB_VER}
-
-_DB_PORTS= 48 5 6
-_DB_DEFAULTS= 48 5 # does not include 6 due to different licensing
-# but user can re-add it through WITH_BDB6_PERMITTED
-. if defined(WITH_BDB6_PERMITTED)
-_DB_DEFAULTS+= 6
-. endif
-
-# Dependency lines for different db versions
-db48_DEPENDS= libdb-4.8.so:databases/db48
-db5_DEPENDS= libdb-5.3.so:databases/db5
-db6_DEPENDS= libdb-6.1.so:databases/db6
-# Detect db versions by finding some files
-db48_FIND= ${LOCALBASE}/include/db48/db.h
-db5_FIND= ${LOCALBASE}/include/db5/db.h
-db6_FIND= ${LOCALBASE}/include/db6/db.h
-
-# Override the global WITH_BDB_VER with the
-# port specific <BDB_UNIQUENAME>_WITH_BDB_VER
-.if defined(${BDB_UNIQUENAME:tu:S,-,_,}_WITH_BDB_VER)
-WITH_BDB_VER= ${${BDB_UNIQUENAME:tu:S,-,_,}_WITH_BDB_VER}
-.endif
-
-# Override USE_BDB with global WITH_BDB_VER
-.if defined(WITH_BDB_VER)
-. if ${WITH_BDB_VER} != 1
-USE_BDB= ${WITH_BDB_VER}
-. endif
-.endif
-
-# Override USE_BDB with maintainer's WANT_BDB_VER
-.if defined(WANT_BDB_VER)
-USE_BDB= ${WANT_BDB_VER}
-.endif
-
-# Compatiblity hack:
-# upgrade older plussed versions to 48+
-_BDB_OLDPLUSVERS=4+ 40+ 41+ 42+ 43+ 44+ 45+ 46+ 47+
-.for i in ${USE_BDB}
-. if ${_BDB_OLDPLUSVERS:M${i}}
-USE_BDB:= 48+
-. endif
-.endfor
-
-.if ${USE_BDB} == yes
-USE_BDB:= 48+
-.endif
-
-# 1. detect installed versions
-_INST_BDB_VER=
-.for bdb in ${_DB_PORTS}
-. if exists(${db${bdb}_FIND})
-_INST_BDB_VER+=${bdb}
-. endif
-.endfor
-
-# 2. parse supported versions:
-# 2a. build list from USE_BDB
-_SUPP_BDB_VER=
-_USE_BDB:=${USE_BDB:C,\+$,,:C/(.)(.)$/\1.\2/}
-.if !empty(USE_BDB:M*+)
-. for bdb in ${_DB_PORTS:C/(.)(.)$/\1.\2/}
-. if ${_USE_BDB} <= ${bdb}
-_SUPP_BDB_VER+=${bdb:C/\.//}
-. endif
-. endfor
-.else
-_SUPP_BDB_VER=${USE_BDB}
-.endif
-# 2b. expand INVALID_BDB_VER if given with "+":
-.if !empty(INVALID_BDB_VER:M*+)
-_INV_BDB:=${INVALID_BDB_VER:C,\+$,,:C/(.)(.)$/\1.\2/}
-_INV_BDB_VER:=
-. for bdb in ${_DB_PORTS:C/(.)(.)$/\1.\2/}
-. if ${_INV_BDB} <= ${bdb}
-_INV_BDB_VER+=${bdb:C/\.//}
-. endif
-. endfor
-.else
-_INV_BDB_VER:=${INVALID_BDB_VER}
-.endif
-# 2c. strip versions from INVALID_BDB_VER out of _SUPP_BDB_VER
-.for unsupp in ${_INV_BDB_VER}
-_SUPP_BDB_VER:=${_SUPP_BDB_VER:N${unsupp}}
-.endfor
-
-# 3a. calculate intersection in _INST_BDB_VER to see if there
-# is a usable installed version
-.for i in ${_INST_BDB_VER}
-. if empty(_SUPP_BDB_VER:M${i})
-_INST_BDB_VER:= ${_INST_BDB_VER:N${i}}
-. endif
-.endfor
-_ELIGIBLE_BDB_VER:=${_INST_BDB_VER}
-
-# 3b. if there is no usable version installed, check defaults
-.if empty(_INST_BDB_VER)
-_DFLT_BDB_VER:=${_DB_DEFAULTS}
-# make sure we use a reasonable version for package builds
-_WITH_BDB_HIGHEST=yes
-. for i in ${_DFLT_BDB_VER}
-. if empty(_SUPP_BDB_VER:M${i})
-_DFLT_BDB_VER:= ${_DFLT_BDB_VER:N${i}}
-. endif
-. endfor
-_ELIGIBLE_BDB_VER:=${_DFLT_BDB_VER}
-.endif
-
-# 4. elect a version
-_BDB_VER=
-.for i in ${_ELIGIBLE_BDB_VER}
-. if !empty(WITH_BDB_HIGHEST) || !empty(_WITH_BDB_HIGHEST) || empty(${_BDB_VER})
-_BDB_VER:=${i}
-. endif
-.endfor
-
-# 5. catch errors or set variables
-.if empty(_BDB_VER)
-IGNORE= cannot install: no eligible BerkeleyDB version. Requested: ${USE_BDB}, incompatible: ${_INV_BDB_VER}. Try: make debug-bdb
-.else
-. if defined(BDB_BUILD_DEPENDS)
-BUILD_DEPENDS+= ${db${_BDB_VER}_FIND}:${db${_BDB_VER}_DEPENDS:C/^libdb.*://}
-. else
-LIB_DEPENDS+= ${db${_BDB_VER}_DEPENDS}
-. endif
-. if ${_BDB_VER} == 48
-BDB_LIB_NAME= db-4.8
-BDB_LIB_CXX_NAME= db_cxx-4.8
-BDB_LIB_DIR= ${LOCALBASE}/lib/db48
-. elif ${_BDB_VER} == 5
-BDB_LIB_NAME= db-5.3
-BDB_LIB_CXX_NAME= db_cxx-5.3
-BDB_LIB_DIR= ${LOCALBASE}/lib/db5
-. elif ${_BDB_VER} == 6
-BDB_LIB_NAME= db-6.1
-BDB_LIB_CXX_NAME= db_cxx-6.1
-BDB_LIB_DIR= ${LOCALBASE}/lib/db6
-. endif
-BDB_LIB_NAME?= db${_BDB_VER}
-BDB_LIB_CXX_NAME?= db${_BDB_VER}_cxx
-BDB_INCLUDE_DIR?= ${LOCALBASE}/include/db${_BDB_VER}
-BDB_LIB_DIR?= ${LOCALBASE}/lib
-.endif
-BDB_VER= ${_BDB_VER}
-
-debug-bdb:
- @${ECHO_CMD} "--INPUTS----------------------------------------------------"
- @${ECHO_CMD} "${BDB_UNIQUENAME:tu:S,-,_,}_WITH_BDB_VER: ${${BDB_UNIQUENAME:tu:S,-,_,}_WITH_BDB_VER}"
- @${ECHO_CMD} "WITH_BDB_VER: ${_WITH_BDB_VER_save}"
- @${ECHO_CMD} "WANT_BDB_VER: ${WANT_BDB_VER}"
- @${ECHO_CMD} "BDB_BUILD_DEPENDS: ${BDB_BUILD_DEPENDS}"
- @${ECHO_CMD} "USE_BDB (original): ${_USE_BDB_save}"
- @${ECHO_CMD} "WITH_BDB_HIGHEST (original): ${WITH_BDB_HIGHEST}"
- @${ECHO_CMD} "--PROCESSING------------------------------------------------"
- @${ECHO_CMD} "supported versions: ${_SUPP_BDB_VER}"
- @${ECHO_CMD} "invalid versions: ${_INV_BDB_VER}"
- @${ECHO_CMD} "installed versions: ${_INST_BDB_VER}"
- @${ECHO_CMD} "eligible versions: ${_ELIGIBLE_BDB_VER}"
- @${ECHO_CMD} "USE_BDB (effective): ${USE_BDB}"
- @${ECHO_CMD} "WITH_BDB_HIGHEST (override): ${_WITH_BDB_HIGHEST}"
- @${ECHO_CMD} "--OUTPUTS---------------------------------------------------"
- @${ECHO_CMD} "IGNORE=${IGNORE}"
- @${ECHO_CMD} "BDB_VER=${BDB_VER}"
- @${ECHO_CMD} "BDB_INCLUDE_DIR=${BDB_INCLUDE_DIR}"
- @${ECHO_CMD} "BDB_LIB_NAME=${BDB_LIB_NAME}"
- @${ECHO_CMD} "BDB_LIB_CXX_NAME=${BDB_LIB_CXX_NAME}"
- @${ECHO_CMD} "BDB_LIB_DIR=${BDB_LIB_DIR}"
- @${ECHO_CMD} "BUILD_DEPENDS=${BUILD_DEPENDS:M*/databases/db*}"
- @${ECHO_CMD} "LIB_DEPENDS=${LIB_DEPENDS:M*/databases/db*}"
- @${ECHO_CMD} "------------------------------------------------------------"
-
-# Obsolete variables - ports can define these to want users about
-# variables that may be in /etc/make.conf but that are no longer
-# effective:
-.if defined(OBSOLETE_BDB_VAR)
-. for var in ${OBSOLETE_BDB_VAR}
-. if defined(${var})
-BAD_VAR+= ${var},
-. endif
-. endfor
-. if defined(BAD_VAR)
-_IGNORE_MSG= Obsolete variable(s) ${BAD_VAR} use WITH_BDB_VER or ${BDB_UNIQUENAME:tu:S,-,_,}_WITH_BDB_VER to select Berkeley DB version
-. if defined(IGNORE)
-IGNORE+= ${_IGNORE_MSG}
-. else
-IGNORE= ${_IGNORE_MSG}
-. endif
-. endif
-.endif
-
-.endif # USE_BDB
-
.endif # defined(_POSTMKINCLUDED) && !defined(Database_Post_Include)
diff --git a/Mk/bsd.port.mk b/Mk/bsd.port.mk
index 34a356df9dd2..b05a22b32676 100644
--- a/Mk/bsd.port.mk
+++ b/Mk/bsd.port.mk
@@ -1403,6 +1403,10 @@ USES+= gnome
USES+= mate
.endif
+.if defined(USE_BDB)
+USES+=bdb:${USE_BDB}
+.endif
+
.if defined(WANT_WX) || defined(USE_WX) || defined(USE_WX_NOT)
.include "${PORTSDIR}/Mk/bsd.wx.mk"
.endif
@@ -1863,8 +1867,7 @@ _FORCE_POST_PATTERNS= rmdir kldxref mkfontscale mkfontdir fc-cache \
.include "${PORTSDIR}/Mk/bsd.xorg.mk"
.endif
-.if defined(USE_MYSQL) || defined(WANT_MYSQL_VER) || \
- defined(USE_BDB)
+.if defined(USE_MYSQL) || defined(WANT_MYSQL_VER)
.include "${PORTSDIR}/Mk/bsd.database.mk"
.endif
diff --git a/Mk/bsd.sanity.mk b/Mk/bsd.sanity.mk
index 12cd532d4fe9..cb8fc114130e 100644
--- a/Mk/bsd.sanity.mk
+++ b/Mk/bsd.sanity.mk
@@ -169,7 +169,7 @@ SANITY_UNSUPPORTED= USE_OPENAL USE_FAM USE_MAKESELF USE_ZIP USE_LHA USE_CMAKE \
PYDISTUTILS_AUTOPLIST PYTHON_PY3K_PLIST_HACK PYDISTUTILS_NOEGGINFO \
USE_PYTHON_PREFIX USE_BZIP2 USE_XZ USE_PGSQL NEED_ROOT \
UNIQUENAME LATEST_LINK USE_SQLITE USE_FIREBIRD
-SANITY_DEPRECATED= PYTHON_PKGNAMESUFFIX USE_AUTOTOOLS PLIST_DIRSTRY
+SANITY_DEPRECATED= PYTHON_PKGNAMESUFFIX USE_AUTOTOOLS PLIST_DIRSTRY USE_BDB
SANITY_NOTNEEDED= WX_UNICODE
USE_AUTOTOOLS_ALT= USES=autoreconf and GNU_CONFIGURE=yes
@@ -210,6 +210,7 @@ WX_UNICODE_REASON= Now no-op as only unicode is supported now
PLIST_DIRSTRY_ALT= PLIST_DIRS
USE_SQLITE_ALT= USES=sqlite
USE_FIREBIRD_ALT= USES=firebird
+USE_BDB_ALT= USES=bdb:${USE_BDB}
.for a in ${SANITY_DEPRECATED}
.if defined(${a})
diff --git a/devel/ice/Makefile b/devel/ice/Makefile
index efb18b78a757..15bf3223e63b 100644
--- a/devel/ice/Makefile
+++ b/devel/ice/Makefile
@@ -36,8 +36,7 @@ BUILD_DEPENDS+= ${PYTHON_PKGNAMEPREFIX}passlib>0:security/py-passlib
WRKSRC= ${WRKDIR}/ice-${PORTVERSION}
-USE_BDB= yes
-WANT_BDB_VER= 5
+USE_BDB= 5
INVALID_BDB_VER= 40 41 42 43 44 46 47 48 6
USE_LDCONFIG= yes
BUILD_WRKSRC?= ${WRKSRC}/cpp
diff --git a/lang/php55/Makefile.ext b/lang/php55/Makefile.ext
index c5f4435a7a6f..69a16f499b15 100644
--- a/lang/php55/Makefile.ext
+++ b/lang/php55/Makefile.ext
@@ -464,7 +464,7 @@ CONFIGURE_ARGS+=--enable-zip \
CONFIGURE_ARGS+=--with-zlib=/usr
.endif
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
.if ${PHP_MODNAME} == "dba"
. if empty(PORT_OPTIONS:MCDB)
@@ -499,6 +499,8 @@ CONFIGURE_ARGS+=--disable-flatfile
. endif
.endif
+.include <bsd.port.pre.mk>
+
.if ${PHP_MODNAME} == "gd"
. if ${PORT_OPTIONS:MT1LIB}
LIB_DEPENDS+= libt1.so:devel/t1lib
diff --git a/lang/php56/Makefile.ext b/lang/php56/Makefile.ext
index e74eccc1e304..8ed5295444be 100644
--- a/lang/php56/Makefile.ext
+++ b/lang/php56/Makefile.ext
@@ -467,7 +467,7 @@ CONFIGURE_ARGS+=--enable-zip \
CONFIGURE_ARGS+=--with-zlib=/usr
.endif
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
.if ${PHP_MODNAME} == "dba"
. if empty(PORT_OPTIONS:MCDB)
@@ -502,6 +502,8 @@ CONFIGURE_ARGS+=--disable-flatfile
. endif
.endif
+.include <bsd.port.pre.mk>
+
.if ${PHP_MODNAME} == "gd"
. if ${PORT_OPTIONS:MT1LIB}
LIB_DEPENDS+= libt1.so:devel/t1lib
diff --git a/lang/php70/Makefile.ext b/lang/php70/Makefile.ext
index 871e1ed1091b..88c8d16e5b7e 100644
--- a/lang/php70/Makefile.ext
+++ b/lang/php70/Makefile.ext
@@ -459,7 +459,7 @@ CONFIGURE_ARGS+=--enable-zip \
CONFIGURE_ARGS+=--with-zlib=/usr
.endif
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
.if ${PHP_MODNAME} == "dba"
. if empty(PORT_OPTIONS:MCDB)
@@ -494,6 +494,8 @@ CONFIGURE_ARGS+=--disable-flatfile
. endif
.endif
+.include <bsd.port.pre.mk>
+
.if ${PHP_MODNAME} == "gd"
. if ${PORT_OPTIONS:MT1LIB}
LIB_DEPENDS+= libt1.so:devel/t1lib
diff --git a/mail/dk-milter/Makefile b/mail/dk-milter/Makefile
index b55dcec31373..a717b0c87ad1 100644
--- a/mail/dk-milter/Makefile
+++ b/mail/dk-milter/Makefile
@@ -41,6 +41,22 @@ SITE_SUB+= -e "s|%%PREFIX%%|${PREFIX}|g" \
OPTIONS_DEFINE= DOCS
+.if defined(WITH_POPAUTH)
+. if defined(WITH_BDB_BASE)
+IGNORE= does not work with base bdb
+SITE_SUB+= -e 's|%%BDB%%|dnl |g'
+. else
+USE_BDB= 41+
+INVALID_BDB_VER= 2 40
+SITE_SUB+= -e 's|%%BDB%%||g' \
+ -e "s|%%BDB_LIB_DIR%%|${BDB_LIB_DIR}|g" \
+ -e "s|%%BDB_INCLUDE_DIR%%|${BDB_INCLUDE_DIR}|g" \
+ -e "s|%%BDB_LIB_NAME%%|${BDB_LIB_NAME}|g"
+. endif
+.else
+SITE_SUB+= -e 's|%%BDB%%|dnl |g'
+.endif
+
.include <bsd.port.pre.mk>
WITHOUT_MILTER_CFLAGS= yes
@@ -69,21 +85,6 @@ SITE_SUB+= -e '\|bld_USE_ARLIB|s/^dnl //g'
SITE_SUB+= -e '/-DPOPAUTH/s/^dnl //g'
.endif
-.if defined(WITH_POPAUTH)
-. if defined(WITH_BDB_BASE)
-IGNORE= does not work with base bdb
-SITE_SUB+= -e 's|%%BDB%%|dnl |g'
-. else
-USE_BDB= 41+
-INVALID_BDB_VER= 2 40
-SITE_SUB+= -e 's|%%BDB%%||g' \
- -e "s|%%BDB_LIB_DIR%%|${BDB_LIB_DIR}|g" \
- -e "s|%%BDB_INCLUDE_DIR%%|${BDB_INCLUDE_DIR}|g" \
- -e "s|%%BDB_LIB_NAME%%|${BDB_LIB_NAME}|g"
-. endif
-.else
-SITE_SUB+= -e 's|%%BDB%%|dnl |g'
-.endif
.if defined(WITH_OPENSSL_BASE)
SITE_SUB+= -e 's|%%OPENSSL%%|dnl |g'
.else
diff --git a/net-p2p/digitalcoin/Makefile b/net-p2p/digitalcoin/Makefile
index 18e7301c06a5..4a5a75c5ae70 100644
--- a/net-p2p/digitalcoin/Makefile
+++ b/net-p2p/digitalcoin/Makefile
@@ -21,8 +21,7 @@ GH_TAGNAME= 96b098a
USES= desktop-file-utils gmake
USE_OPENSSL= yes
-USE_BDB= yes
-WANT_BDB_VER= 48
+USE_BDB= 48
USE_QT4= corelib gui qmake_build linguisttools_build uic_build \
moc_build rcc_build
diff --git a/net-p2p/dogecoin/Makefile b/net-p2p/dogecoin/Makefile
index c89b8bf02875..6dd3477308be 100644
--- a/net-p2p/dogecoin/Makefile
+++ b/net-p2p/dogecoin/Makefile
@@ -31,8 +31,7 @@ CONFIGURE_ARGS+= --with-incompatible-bdb \
CRYPTO_CFLAGS="-I${OPENSSLINC} -L${OPENSSLLIB}" CRYPTO_LIBS="-lcrypto"
CONFIGURE_ENV+= OBJC="${CC}" OBJCFLAGS="${CFLAGS}" OBJCXX="${CXX}" OBJCXXFLAGS="${CXXFLAGS}"
USE_OPENSSL= yes
-USE_BDB= yes
-WANT_BDB_VER= 5
+USE_BDB= 5
CXXFLAGS+= -I${LOCALBASE}/include -I${BDB_INCLUDE_DIR} \
-L${LOCALBASE}/lib -L${BDB_LIB_DIR}
diff --git a/net-p2p/namecoin/Makefile b/net-p2p/namecoin/Makefile
index 19fd126e9034..1180e8e00ef3 100644
--- a/net-p2p/namecoin/Makefile
+++ b/net-p2p/namecoin/Makefile
@@ -27,8 +27,7 @@ USE_GITHUB= yes
USES= gmake compiler:c++11-lib
MAKE_JOBS_UNSAFE=yes
USE_OPENSSL= yes
-USE_BDB= yes
-WANT_BDB_VER= 48
+USE_BDB= 48
CXXFLAGS+= -I${LOCALBASE}/include -I${BDB_INCLUDE_DIR}
CXXFLAGS+= -L${LOCALBASE}/lib -L${BDB_LIB_DIR}
diff --git a/net-p2p/twister/Makefile b/net-p2p/twister/Makefile
index 25f1d8ea3d72..8492c7c4c7f8 100644
--- a/net-p2p/twister/Makefile
+++ b/net-p2p/twister/Makefile
@@ -25,8 +25,7 @@ OPTIONS_DEFINE= DOCS
USE_GITHUB= yes
GH_ACCOUNT= miguelfreitas
-USE_BDB= yes
-WANT_BDB_VER= 48
+USE_BDB= 48
USE_OPENSSL= yes
USES= autoreconf:build gmake iconv libtool